#include <string.h>
#include "syscall.h"

#define OUT_FILEHANDLE (1l)

static size_t
stringlen( const char * s ){

	size_t len = 0;
	while( *s ) { ++len; ++s; }
	return len;
}

int
main( int argc, const char** argv){

	(void) argc;

	const size_t argv_0_len = stringlen( argv[0] );

	(void) do_syscall( SYS_WRITE, OUT_FILEHANDLE, argv[0], argv_0_len );
	(void) do_syscall( SYS_WRITE, OUT_FILEHANDLE, "\n", 1 );

	return 0;
}
